//
//  HumiditySensorController.h
//  HumiditySensor
//
//  Created by Phidgets on 2015-07-15.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface HumiditySensorController : NSObject <NSWindowDelegate>

{
    IBOutlet NSWindow *mainWindow;
    PhidgetHumiditySensorHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Settings
    IBOutlet NSBox *dataBox;
    IBOutlet NSBox *settingsBox;
    IBOutlet NSTextField *changeTriggerText;
    IBOutlet NSTextField *minChangeTriggerLabel;
    IBOutlet NSTextField *maxChangeTriggerLabel;
    IBOutlet id changeTriggerSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    IBOutlet id dataIntervalSlider;
    //Device data
    IBOutlet NSTextField *humidityText;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
